# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::BlendEquation Class Reference

Wraps the OpenGL function glBlendEquation()/glBlendEquationSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glBlendEquation.xml and http://www.opengl.org/sdk/docs/man/xhtml/glBlendEquationSeparate.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::BlendEquation:

List of all members.

## Public Member Functions
| BlendEquation (EBlendEquation mode_rgb=BE_FUNC_ADD, EBlendEquation mode_alpha=BE_FUNC_ADD)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (EBlendEquation mode_rgba)
void | set (EBlendEquation mode_rgb, EBlendEquation mode_alpha)
EBlendEquation | modeRGB () const
EBlendEquation | modeAlpha () const
## Protected Attributes
EBlendEquation | mModeRGB
EBlendEquation | mModeAlpha

## Detailed Description

Wraps the OpenGL function glBlendEquation()/glBlendEquationSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glBlendEquation.xml and http://www.opengl.org/sdk/docs/man/xhtml/glBlendEquationSeparate.xml for more information.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::BlendEquation::BlendEquation | ( | EBlendEquation | mode_rgb = `BE_FUNC_ADD`,
|  | EBlendEquation | mode_alpha = `BE_FUNC_ADD` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::BlendEquation::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::BlendEquation::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void BlendEquation::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::BlendEquation::set | ( | EBlendEquation | mode_rgba | ) | `[inline]`

void vl::BlendEquation::set | ( | EBlendEquation | mode_rgb,
|  | EBlendEquation | mode_alpha |
| ) |  |  | `[inline]`

EBlendEquation vl::BlendEquation::modeRGB | ( |  | ) | const`[inline]`

EBlendEquation vl::BlendEquation::modeAlpha | ( |  | ) | const`[inline]`

## Member Data Documentation

EBlendEquation vl::BlendEquation::mModeRGB`[protected]`

EBlendEquation vl::BlendEquation::mModeAlpha`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:04 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.